// DataIO_PCF8574 V2.0

#ifndef DataIO_PCF8574_h
#define DataIO_PCF8574_h

#include <inttypes.h>
#include <Wire.h>

class DataIO_PCF8574{
	
public:
  DataIO_PCF8574(uint8_t iic_Addr);
  uint8_t begin(uint8_t mode);
  uint8_t writeData(uint8_t data);
  uint8_t readData(void);

  uint8_t setBit(uint8_t bit);
  uint8_t clrBit(uint8_t bit);

  uint8_t ledON(uint8_t bit);
  uint8_t ledOFF(uint8_t bit);

  uint8_t decodeTaster(uint8_t data, uint8_t bit);
  uint8_t getTaster(uint8_t bit);

  uint8_t getAddr(void);

private:
  uint8_t _Addr;
  uint8_t _Data;
  
  uint8_t decodePort(uint8_t bit);
  
};

#endif
